


for L in 3 
do
    for N in 128 256 512 1024
    do
        for model in fc

        do
            for pruner in rand snip 
            do
                for seed in $(seq 1 3)
                do
                    for compression in 0.3 0.4 0.52 0.7 1.0 1.3
                    do
                        python main.py --pruner $pruner --dataset mnist --model-class default \
                        --model $model --compression $compression --pre-epochs 0 --experiment singleshot --seed $seed \
                        --n_layers $L --hidden_dim $N --post-epochs 100   --wandb_project NTK_Exps
                    done
                done
            done
        done
    done
done


for L in 3
do
    for N in 128 256 512 1024 
    do
        for model in fc

        do
            for pruner in synflow
            do
                for seed in $(seq 1 3)
                do
                    # for compression in 0.5 0.75 1
                    for compression in 0.3 0.4 0.52 0.7 1.0 1.3
                    do
                        python main.py --pruner $pruner --dataset mnist --model-class default \
                        --model $model --compression $compression --pre-epochs 0 --experiment singleshot  --seed $seed \
                        --n_layers $L --hidden_dim $N --prune-epochs 100 --post-epochs 100   --wandb_project NTK_Exps
                    done
                done
            done
        done
    done
done

